### Hierarchy

- unknown
  - NodeAddress

## Index

### Constructors

- constructor

### Methods

- getHostName
- getPort
- serializeBinary
- setHostName
- setPort
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new NodeAddress(): NodeAddress

- Inherited from jspb.Message.constructor

  #### Returns NodeAddress

## Methods

### getHostName

- getHostName(): string

- - Defined in src/protobuf/pb_pb.d.ts:2286

  #### Returns string

### getPort

- getPort(): number

- - Defined in src/protobuf/pb_pb.d.ts:2289

  #### Returns number

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2292

  #### Returns Uint8Array

### setHostName

- setHostName(value: string): NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2287

  #### Parameters

  - ##### value: string

  #### Returns NodeAddress

### setPort

- setPort(value: number): NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2290

  #### Parameters

  - ##### value: number

  #### Returns NodeAddress

### toObject

- toObject(includeInstance?: boolean): NodeAddress . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2293

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns NodeAddress . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2296

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns NodeAddress

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: NodeAddress, reader: BinaryReader): NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2297

  #### Parameters

  - ##### message: NodeAddress

  - ##### reader: BinaryReader

  #### Returns NodeAddress

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: NodeAddress, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2295

  #### Parameters

  - ##### message: NodeAddress

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: NodeAddress ): NodeAddress . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2294

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: NodeAddress

  #### Returns NodeAddress . AsObject

Generated using TypeDoc